curl -X DELETE "https://api.hookpulse.io/v1/api/delete_schedule/" \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}" \
-H "Content-Type: application/json" \
-d '{
"schedule_uuid": "{{schedule_uuid}}"
}'
const response = await fetch('https://api.hookpulse.io/v1/api/delete_schedule/', {
method: 'DELETE',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
},
body: JSON.stringify({
schedule_uuid: '{{schedule_uuid}}'
})
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/delete_schedule/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
}
payload = {
'schedule_uuid': '{{schedule_uuid}}'
}
response = requests.delete(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/delete_schedule/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
schedule_uuid: '{{schedule_uuid}}'
}.to_json
response = http.request(request)
puts JSON.parse(response.body)
<?php
$url = "https://api.hookpulse.io/v1/api/delete_schedule/";
$data = [
'schedule_uuid' => '{{schedule_uuid}}'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
{
"success": true,
"error": "Schedule deleted successfully"
}
Scheduling
Delete Schedule
Delete a schedule by its UUID. This permanently removes the schedule and all associated rules
DELETE
/
v1
/
api
/
delete_schedule
/
curl -X DELETE "https://api.hookpulse.io/v1/api/delete_schedule/" \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}" \
-H "Content-Type: application/json" \
-d '{
"schedule_uuid": "{{schedule_uuid}}"
}'
const response = await fetch('https://api.hookpulse.io/v1/api/delete_schedule/', {
method: 'DELETE',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
},
body: JSON.stringify({
schedule_uuid: '{{schedule_uuid}}'
})
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/delete_schedule/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
}
payload = {
'schedule_uuid': '{{schedule_uuid}}'
}
response = requests.delete(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/delete_schedule/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
schedule_uuid: '{{schedule_uuid}}'
}.to_json
response = http.request(request)
puts JSON.parse(response.body)
<?php
$url = "https://api.hookpulse.io/v1/api/delete_schedule/";
$data = [
'schedule_uuid' => '{{schedule_uuid}}'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
{
"success": true,
"error": "Schedule deleted successfully"
}
Delete a schedule by its UUID. This permanently removes the schedule and all associated rules. Once deleted, the schedule cannot be recovered.
Base URL
All API requests should be made to:https://api.hookpulse.io
Example request
curl -X DELETE "https://api.hookpulse.io/v1/api/delete_schedule/" \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}" \
-H "Content-Type: application/json" \
-d '{
"schedule_uuid": "{{schedule_uuid}}"
}'
const response = await fetch('https://api.hookpulse.io/v1/api/delete_schedule/', {
method: 'DELETE',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
},
body: JSON.stringify({
schedule_uuid: '{{schedule_uuid}}'
})
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/delete_schedule/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
}
payload = {
'schedule_uuid': '{{schedule_uuid}}'
}
response = requests.delete(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/delete_schedule/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
schedule_uuid: '{{schedule_uuid}}'
}.to_json
response = http.request(request)
puts JSON.parse(response.body)
<?php
$url = "https://api.hookpulse.io/v1/api/delete_schedule/";
$data = [
'schedule_uuid' => '{{schedule_uuid}}'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
Request body
| Field | Type | Required | Description |
|---|---|---|---|
schedule_uuid | string | Yes | UUID of the schedule to delete |
Example response
{
"success": true,
"error": "Schedule deleted successfully"
}
Response fields
| Field | Type | Description |
|---|---|---|
success | boolean | Indicates if the schedule was deleted successfully |
error | string | Success message indicating the schedule was deleted |
Error Responses
If the schedule is not found or cannot be deleted, you will receive an error response:{
"success": false,
"error": "Schedule not found"
}
Important Notes
- Permanent Deletion: Deleting a schedule is permanent and cannot be undone
- Associated Rules: All rules associated with the schedule will also be deleted
- Active Schedules: You can delete schedules regardless of their status (active, paused, inactive, etc.)
- No Impact on Targets: Deleting a schedule does not delete the webhook or workflow template it was scheduling
Use Cases
- Cleanup: Remove old or unused schedules
- Error Recovery: Delete incorrectly configured schedules
- Resource Management: Remove schedules that are no longer needed
- Testing: Clean up test schedules after development
Examples
Delete a Schedule
DELETE /v1/api/delete_schedule/
{
"schedule_uuid": "81646be2-ae5f-49f8-b253-ce87fe73be63"
}
Related Documentation
- Scheduling Overview - Learn about scheduling types and features
- Get Single Schedule Details - View schedule details before deletion
- Get Active Schedules (Paginated) - List all schedules
Authorizations
API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.
Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.
Body
application/json
Schedule UUID
UUID of the schedule to delete

